{% load static from staticfiles %}
<!DOCTYPE html>

<head>
  <title>Program Donasi</title>
  {% include 'import.html' %}
  <link rel="stylesheet" type="text/css" href="{% static 'programdonasi/css/programdonasi.css' %}">
</head>

<body onload="myFunction()">
  {% include 'navbar.html' %}
  {% block content %}
  {% endblock %}
  {% include 'footer.html' %}
  <script>
    // When user first time visit
    if (!localStorage.noFirstVisit) {
      console.log('first time');
      // Get the modal
      var modal = document.getElementById('myModal');

      // Get the button that opens the modal
      var btn = document.getElementById("myBtn");

      // Get the <span> element that closes the modal
      var span = document.getElementsByClassName("close")[0];
      // When the user clicks on <span> (x), close the modal
      span.onclick = function () {
        modal.style.display = "none";
      }
      // When the user clicks anywhere outside of the modal, close it
      window.onclick = function (event) {
        if (event.target == modal) {
          modal.style.display = "none";
        }
      }

      function myFunction() {
        modal.style.display = "block";
      }
      localStorage.noFirstVisit = "1";
    }
    $("#logout-btn").click(function () {
      localStorage.noFirstVisit = "";
      console.log("reset modal")
    });
  </script>
</body>